gnutls_ocsp_resp_check_crt(3)

NAME
gnutls_ocsp_resp_check_crt - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_check_crt(gnutls_ocsp_resp_const_t resp, unsigned int indx, gnutls_x509_crt_t crt);

ARGUMENTS

gnutls_ocsp_resp_const_t resp
    should contain a gnutls_ocsp_resp_t type

unsigned int indx
    Specifies response number to get. Use (0) to get the first one.

gnutls_x509_crt_t crt
    The certificate to check

DESCRIPTION
This function will check whether the OCSP response is about the provided certificate.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/